6.0.0-git
2019-05-19

[#14058] Mail never leave outbox and send again and again
Summary Mail never leave outbox and send again and again
Queue Synchronization
Queue Version FRAMEWORK_5_2
Type Bug
State Resolved
Priority 2. Medium
Owners mrubinsk (at) horde (dot) org
Requester samuel.wolf (at) wolf-maschinenbau (dot) de
Created 2015-07-18 (1401 days ago)
Due
Updated 2015-08-09 (1379 days ago)
Assigned 2015-07-19 (1400 days ago)
Resolved 2015-08-09 (1379 days ago)
Milestone
Patch No

History
2015-08-09 01:58:33 Michael Rubinsky Comment #10
State ⇒ Resolved
Reply to this comment
Going to assume this is fixed now. Please reopen if you experience any 
more issues of this nature.
2015-07-22 08:33:56 samuel (dot) wolf (at) wolf-maschinenbau (dot) de Comment #9 Reply to this comment
I was hoping to find out if the changes helped first, but as these 
checks should be there anyway, I just pushed a release.
I have an eye on it and give you a feedback.

See this problem only with attachments like pictures and think the 
problem is a interrupted data connection for example switching from 
Wifi to 3G during the sending process.

Thanks for the pear release.
2015-07-22 01:54:28 Michael Rubinsky Comment #8 Reply to this comment
Did you release this code change over pear?
I was hoping to find out if the changes helped first, but as these 
checks should be there anyway, I just pushed a release.
2015-07-21 16:32:34 samuel (dot) wolf (at) wolf-maschinenbau (dot) de Comment #7 Reply to this comment
Did you release this code change over pear?
2015-07-19 17:06:59 Michael Rubinsky Comment #6 Reply to this comment
Not 100% sure this is a fix for you.  I noticed you mentioned you were 
saving to sent mail, but I don't see any mention of that in the log 
you sent. This leads me to think some error occurs during this part of 
the process that throws an exception, or otherwise prevents the 
request from finishing (though this *should* appear in the main Horde 
log).

Added some try/catch stuff to catch any of these issues and log them 
instead of just dying.
2015-07-19 17:05:01 Git Commit Comment #5 Reply to this comment
Changes have been made in Git (master):

commit 325786a5be8d7a8e5b286ff73b06860a92eb373e
Author: Michael J Rubinsky <mrubinsk@horde.org>
Date:   Sun Jul 19 13:03:02 2015 -0400

     Catch exceptions from maillog api.

     Possibly prevent issues with email not being removed from
     EAS client's Outbox if it was sent successfully, but some other
     error occurs before the end of the request. Possible fix for Bug: 14058

  .../Core/lib/Horde/Core/ActiveSync/Connector.php   |   24 ++++++++++++++++---
  .../Core/lib/Horde/Core/ActiveSync/Driver.php      |    2 +-
  2 files changed, 21 insertions(+), 5 deletions(-)

http://github.com/horde/horde/commit/325786a5be8d7a8e5b286ff73b06860a92eb373e
2015-07-19 17:04:57 Git Commit Comment #4 Reply to this comment
Changes have been made in Git (master):

commit d999aeef6c5324f3ba4839a53b66fef948417017
Author: Michael J Rubinsky <mrubinsk@horde.org>
Date:   Sun Jul 19 12:58:50 2015 -0400

     Catch exception.

     Possible fix for Bug: 14058

  .../Core/lib/Horde/Core/ActiveSync/Driver.php      |    7 ++++++-
  1 files changed, 6 insertions(+), 1 deletions(-)

http://github.com/horde/horde/commit/d999aeef6c5324f3ba4839a53b66fef948417017
2015-07-19 00:28:33 samuel (dot) wolf (at) wolf-maschinenbau (dot) de Comment #3
New Attachment: mail.log Download
Reply to this comment
Does the email successfully get sent by your SMTP server?
Yes, see attached log (grep).
2015-07-19 00:18:32 Michael Rubinsky Comment #2
Assigned to Michael Rubinsky
State ⇒ Feedback
Reply to this comment
Does the email successfully get sent by your SMTP server?
2015-07-18 21:11:58 samuel (dot) wolf (at) wolf-maschinenbau (dot) de Comment #1
Type ⇒ Bug
Milestone ⇒
Patch ⇒ No
Queue ⇒ Synchronization
Summary ⇒ Mail never leave outbox and send again and again
State ⇒ Unconfirmed
Priority ⇒ 2. Medium
Reply to this comment
Some times I have a mail with a picture in my Android (5.0.2) outbox 
which send again and again (copy in sent folder!). Unfortunately this 
mail block all other mails in the outbox. After I delete this one mail 
with the
picture all other mails in the outbox going successfully out.

Saved Queries